## perl 5.12.2

=== debian/changelog ===
perl (5.12.2-2) experimental; urgency=low

  * Merge 5.10.1-15 and -16 from unstable:
    + Include the Text::Tabs license in debian/copyright. Thanks to "v.nix.is".
      (Closes: #596844)
    + Downgrade the 'make' recommendation to a suggestion to avoid pulling
      it in by default after all. (Closes: #596734) (Reopens: #293908)
    + Squelch useless locale warnings during package maintainer scripts.
      (Closes: #508764)
    + Improve LC_NUMERIC documentation. (Closes: #379329)
    + Fix sprintf not to ignore LC_NUMERIC with constants. (Closes: #601549)
    + Fix stack pointer corruption in pp_concat() with "use encoding".
      (Closes: #596105)
  * Unapply the debian/use_gdbm patch, obsolete since 5.8.4.
  * Fix h2ph header generation with GCC 4.5. Upstream patch by Robin Barker.
    (Closes: #599933)

 -- Niko Tyni <ntyni@debian.org>  Tue, 02 Nov 2010 11:34:32 +0200

perl (5.12.2-1) experimental; urgency=low

  * New upstream release.

 -- Niko Tyni <ntyni@debian.org>  Tue, 07 Sep 2010 10:13:56 +0300

perl (5.12.2~rc1-1) experimental; urgency=low

  * New upstream release candidate.
    + includes the arm alignment fix (Closes: #289884)
    + upgrade the conflict versions of updated modules.
    + put the libfile-spec-perl conflict version in line with the separate
      package, which uses four digits. (Closes: #595121)
  * Merge 5.10.1-13 and -14 from unstable, most notably:
    + the GNU/Hurd @INC fix (Closes: #587901)
    + the gcc 4.5 build fix (Closes: #588799)
    + the binNMU regexp fix (Closes: #585678)
    + remove the Provides entries for the deprecated core modules
      and update their conflict versions.
  * Remove the libshell-perl recommendation, its deprecation has been
    postponed for 5.14. (See #580034)

 -- Niko Tyni <ntyni@debian.org>  Wed, 01 Sep 2010 21:38:34 +0300

perl (5.12.1-1) experimental; urgency=low

  * New upstream release.
    + upgrade the conflict versions of updated modules.
  * Transition away from the deprecated core modules
    (Shell, Switch, Pod::Plainer, Class::ISA). (Closes: #580034)
    + Recommend the now separately packaged versions
    + Modify the deprecation warnings to point to the Debian packages
      instead of CPAN.
  * Break libmarc-charset-perl (<< 1.2) because the earlier versions
    were sensitive to Perl ABI changes like use64bitint. (Closes: #579521)

 -- Niko Tyni <ntyni@debian.org>  Mon, 17 May 2010 16:16:54 +0300

perl (5.12.0-2) experimental; urgency=low

  * Revert -Dusemorebits but leave -Duse64bitint to aim for consistency
    across all the Debian architectures. See the discussion at
    http://lists.debian.org/debian-devel/2010/05/msg00078.html
    + fixes powerpc test failures due to non-IEEE compliant long doubles.
      (Closes: #578295)
    + use gcc-4.3 on sparc to work around a numeric conversion bug in 4.4.
      (Closes: #577016)
  * Downgrade the optimization of sv.c on arm due to a gcc-4.4 bug.
    (Closes: #580334)
  * Fix the new libterm-readline-gnu-perl related failure in perl5db.t and
    version the build conflict back to (<< 1.17).

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 May 2010 22:53:31 +0300

perl (5.12.0-1) experimental; urgency=low

  * New upstream release.
    + POD markup in the NAME section is now suppressed by podlators,
      fixing garbled whatis information for perlpacktut. (Closes: #304143)
    + "runaway format" errors have been removed. (Closes: #77707)
    + Pod::Perldoc no longer generates broken markup for the last perlfunc
      and perlvar entries. (Closes: #558147)
    + Data::Dumper no longer crashes on an invalid push call.
      (Closes: #513935)
  * Move CPANPLUS::Config::System to the right source directory.
  * Fix CPANPLUS test failures when $HOME does not exist. (Closes: #577011)
  * Build-Conflict with libfile-sharedir-perl to avoid Module-Build test
    failures due to ABI incompatibilities. (Closes: #577018)
  * Point Vcs-* fields to the experimental git repository.
  * Set -Dusemorebits on all architectures to support long doubles.
    + apparently fixes use64bitint test failures on sparc. (Closes: #577016)

 -- Niko Tyni <ntyni@debian.org>  Fri, 16 Apr 2010 23:22:01 +0300

perl (5.12.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.
  * Update conflicts/replaces/provides entries for the
    numerous separately packaged modules.
  * Unversion the libterm-readline-gnu-perl build conflict again due to a
    new failure mode in lib/perl5db.t.
  * Verify at build time that perl-base stays self contained.
    + re.so (and attributes.so) now need to go in perl-base
  * Use 64 bit integers (-Duse64bitint) on all platforms. (Closes:
    #310995)

 -- Niko Tyni <ntyni@debian.org>  Tue, 06 Apr 2010 20:08:41 +0300
