=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for perl.
#

export SHELL = /bin/bash

fullversion := $(shell /bin/bash debian/config.debian --full-version)
nextversion := $(shell /bin/bash debian/config.debian --next-version)
version     := $(shell /bin/bash debian/config.debian --version)
installtype := $(shell /bin/bash debian/config.debian --install-type)
test_target := $(shell /bin/bash debian/config.debian --test-target)
strip	    := $(shell /bin/bash debian/config.debian --strip)
srcdir      := $(shell pwd)
packages    := $(shell sed -n 's/^Package: *\(.*\)/\1/p' debian/control)
tmp	    = debian/tmp
bin         = $(tmp)/usr/bin
man         = $(tmp)/usr/share/man
lib         = $(tmp)/usr/lib/perl/$(version)
share       = $(tmp)/usr/share/perl/$(version)
build	    = debian/build
debug       = $(build)/perl-debug/usr/lib/debug
patches     = debian/patches/series

checkdir    = test -d debian
checkroot   = test `id -u` -eq 0
checkperl   = $(SHELL) debian/checkperl

# this may differ from $(fullversion) for release candidates and the like
package_upstream_version = $(shell dpkg-parsechangelog | \
        sed -ne 's/-[^-]\+$$//; s/^Version: *\([0-9]\+:\)*//p')

package_version = $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')

# this gets prepended to the patch names in patchlevel.h
patchprefix = DEBPKG:
# the name of the file in debian/patches that modifies patchlevel.h
patchlevelpatch = patchlevel

# control file substitutions
subst_upstream = -VUpstream-Version=$(package_upstream_version)
subst_perlapi  = -Vperlapi:Provides="`./perl.static debian/mkprovides`"
subst_next_upstream = -VNext-Upstream-Version=$(nextversion)

# for ext/Compress-Raw-Bzip2
export BUILD_BZIP2=0
export BZIP2_INCLUDE=/usr/include
export BZIP2_LIB=/usr/lib

build: build-stamp
install: install-stamp

build-stamp: perl.static perl.debug libperl.so.$(fullversion)
	touch $@

perl.static:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	$(SHELL) debian/config.debian --static
	$(MAKE) perl $(test_target)
	mv libperl.a libperl-static
	mv perl perl.static

perl.debug:
	$(checkdir)
	rm -f libperl.so* # must be built last
	[ ! -f Makefile ] || $(MAKE) distclean
	$(SHELL) debian/config.debian --debug
	$(MAKE) perl
	mv perl perl.debug

libperl.so.$(fullversion):
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean
	$(SHELL) debian/config.debian --shared
	$(MAKE) SHRPLDFLAGS='$$(LDDLFLAGS) -Wl,-soname,libperl.so.$(version)' $@
	ln -s libperl.so.$(fullversion) libperl.so.$(version)
	ln -s libperl.so.$(version) libperl.so
	$(MAKE) all $(test_target) || { rm -f libperl.so*; exit 1; }

clean:
	$(checkdir)
	$(checkroot)
	test -f $(patches)	# maintainer sanity check
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf config.over perl.static perl.debug libperl-static libperl.so* \
	    patchlevel.bak build-stamp install-stamp t/auto debian/shlibs.local \
	    debian/perl-base.shlibs debian/libperl$(version).shlibs \
	    debian/substvars debian/files debian/list.tmp $(tmp) $(build)

install-stamp: build-stamp
	$(checkdir)
	$(checkroot)
	$(checkperl)
	rm -rf $(tmp) $(build)

	$(MAKE) install
	# remove temporary prefix on install vars and switch man
	# extensions to 1p and 3pm for vendor module installs
	SRCDIR="$(srcdir)" ./perl.static -i -pe 's!\Q$$ENV{SRCDIR}\E/$(tmp)/!/! if /install/;' \
	    -e 's/^(man1ext=).*/$$1'\''1p'\''/;' \
	    -e 's/^(man3ext=).*/$$1'\''3pm'\''/;' \
		$(lib)/Config.pm $(lib)/Config_heavy.pl

	# convert required header files
	-cd /usr/include; $(srcdir)/perl.static -I $(srcdir)/lib \
	    $(srcdir)/utils/h2ph -a -d $(srcdir)/$(lib) \
		`cat $(srcdir)/debian/headers`

	# fix up generated headers
	./perl.static -Ilib debian/fixheaders $(lib)

	# simple wrapper around Errno module
	cp debian/errno.ph $(lib)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring x-perl-notest,$(DEB_BUILD_OPTIONS)))
	# Verify that the headers are usable
	for ph in `< debian/headers sed -e 's/\.h$$/.ph/'`; do \
		if [ ! -f $(lib)/$$ph ]; then \
			echo "$$ph: missing"; else \
			echo $$ph | ./perl.static debian/check-require $(tmp) \
				|| exit 1; \
		fi; \
	done
endif
endif

	# remove some cruft
	rm -f $(lib)/.packlist

	# installperl copies the symlinks as a files
	rm -f $(lib)/CORE/libperl.so $(lib)/CORE/libperl.so.$(version)

	# remove versioned binary, relink after moving files
	rm -f $(bin)/perl$(fullversion)

	# relocate perl libraries and create links
	cp libperl-static $(tmp)/usr/lib/libperl.a
	mv $(lib)/CORE/libperl.so.$(fullversion) $(tmp)/usr/lib

	ln -s libperl.so.$(fullversion) $(tmp)/usr/lib/libperl.so.$(version)
	ln -s libperl.so.$(version) $(tmp)/usr/lib/libperl.so

	# move to full version (symlinks created in perl-base below)
	mv $(lib) $(tmp)/usr/lib/perl/$(fullversion)
	mv $(share) $(tmp)/usr/share/perl/$(fullversion)

ifeq ($(installtype),static)
	cp perl.static $(bin)/perl
endif

	# install debug binary as debugperl
	cp perl.debug $(bin)/debugperl

	# split packages
	for p in $(packages); \
	do \
	    mkdir -p $(build)/$$p; \
	    (cd $(tmp); \
	    	for sfx in '' .$(installtype); \
		do \
		    list=../$$p.files$$sfx; \
		    test -s $$list || continue; \
		    find `cat $$list` ! -type d; \
		done) >debian/list.tmp; \
	    (cd $(tmp); cpio -vdumpl ../build/$$p) <debian/list.tmp 2>&1 | \
		grep -v ' linked to '; \
	    (cd $(tmp); ../../perl.static -nle unlink) <debian/list.tmp; \
	done

	# ensure that all file have been moved from debian/tmp
	test `find $(tmp) ! -type d | wc -l` -eq 0

	# move pod out of -base modules and into .pod files in -doc
	./perl.static debian/splitdoc $(build)/perl-base

	# create symlinks to match @INC
	ln -s $(fullversion) $(build)/perl-base/usr/lib/perl/$(version)
	ln -s $(fullversion) $(build)/perl-base/usr/share/perl/$(version)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring x-perl-notest,$(DEB_BUILD_OPTIONS)))
	# Verify that perl-base stays self contained
	# plain "use IO " and "use re" are deprecated and/or useless

	./perl.static $(srcdir)/debian/check-require $(build)/perl-base \
	  < debian/perl-base.files
endif
endif

	# move section 1 manual pages back to perl for installed programs
	mkdir -p $(build)/perl/usr/share/man/man1
	find $(build)/perl/usr/bin -type f -printf "%f\n" | \
	    while read prog; \
	    do \
		m=$(build)/perl-doc/usr/share/man/man1/$$prog.1; \
		if test -f $$m; \
		then \
		    mv $$m $(build)/perl/usr/share/man/man1; \
		else \
		    echo "warning: no manual page for $$prog" >&2; \
		fi; \
	    done

	# remove some linked man pages (symlinked later and cause
	# problems as-is when compressing)
	rm -f $(build)/perl/usr/share/man/man1/pstruct.1 \
	    $(build)/perl/usr/share/man/man1/perlthanks.1 \
	    $(build)/perl/usr/share/man/man1/psed.1

	# the diagnostics module needs perldiag.pod
	mkdir $(build)/perl-modules/usr/share/perl/$(fullversion)/pod
	mv $(build)/perl-doc/usr/share/perl/$(fullversion)/pod/perldiag.pod \
	    $(build)/perl-modules/usr/share/perl/$(fullversion)/pod

	# copy dummy perldoc to perl package
	cp debian/perl.perldoc $(build)/perl/usr/bin/perldoc
	chmod 755 $(build)/perl/usr/bin/perldoc

	# install rename script to bin (as prename, alternative configured)
	cp debian/rename $(build)/perl/usr/bin/prename
	chmod 755 $(build)/perl/usr/bin/prename

	./perl.static -Ilib $(build)/perl/usr/bin/pod2man --official \
	    debian/rename >$(build)/perl/usr/share/man/man1/prename.1

	# install docs
	for p in $(packages); \
	do \
	    doc=$(build)/$$p/usr/share/doc; \
	    test -d $$doc || mkdir -p $$doc; \
	    if test -f debian/$$p.docs; \
	    then \
		while read src target; \
		do \
		    d=`echo $$target | sed 's,/[^/]*$$,,'`; \
		    test -d $$doc/$$d || mkdir -p $$doc/$$d; \
		    cp -p $$src $$doc/$$target; \
		done <debian/$$p.docs; \
	    fi; \
	    test -d $$doc/$$p || ln -s perl $$doc/$$p; \
	done

	# lintian overrides
	for p in $(packages); \
	do \
	    if test -f debian/$$p.lintian-overrides; \
	    then \
