## perl 5.12.4

=== debian/changelog ===
perl (5.12.4-4ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Injection problem in Digest::new
    - CVE-2011-3597
  * SECURITY UPDATE: Heap overflow in "x" operator (LP: #1069034)
    - CVE-2012-5195
  * SECURITY UPDATE: CGI.pm improper cookie and p3p CRLF escaping
    - CVE-2012-5526

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 26 Nov 2012 11:27:49 -0800

perl (5.12.4-4) unstable; urgency=medium

  * Fix decode_xs n-byte heap-overflow security bug in Unicode.xs
    (Closes: #637376)

 -- Dominic Hargreaves <dom@earth.li>  Wed, 10 Aug 2011 19:25:23 +0100

perl (5.12.4-3) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Fix lintian error by build-depending on procps [!hurd-any] rather
    than procps | hurd (and adjust existing [!hurd-i386] to
    [!hurd-any]) (Closes: #635647)
  * Apply patch from Niko documenting the correct use of CCFLAGS in
    ExtUtils::MakeMaker (see: #628522)
  * Use a socket timeout on GNU/kFreeBSD to catch ICMP port unreachable
    messages (thanks, Niko) (Closes: #627821)

  [ Niko Tyni ]
  * Improve general GNU hints, fixing build failures on GNU/Hurd. Patch by
    Pino Toscano. (Closes: #636609)

 -- Niko Tyni <ntyni@debian.org>  Wed, 10 Aug 2011 08:16:20 +0300

perl (5.12.4-2) unstable; urgency=low

  [ Niko Tyni ]
  * debian/config.over: Force the multiarch directory /usr/lib/<triplet>
    into $Config{libpth} even if doesn't exist yet. This should guarantee
    that ExtUtils::Embed works on multiarch enabled system even when
    the package isn't built on one. Thanks to Jonathan Nieder.
    (Closes: #630399)
    + needs a build dependency on dpkg-dev (>= 1.16.0) for
      "dpkg-architecture -qDEB_HOST_MULTIARCH".
  * Fix tainting with index() of a constant. (Closes: #291450)
  * Break older versions of doc-base to avoid a Storable binary
    incompatibility issue in partial upgrades. (Closes: #633076)
  * No longer prune -lnsl and -lutil in debian/config.over, this was
    obsoleted by a related change in 5.6.1-7 (!)
  * Match bzip2 archives in debian/watch.

 -- Dominic Hargreaves <dom@earth.li>  Wed, 27 Jul 2011 19:59:30 +0100

perl (5.12.4-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream release.
  * Move debian/check-control to debian/t/ to anticipate new package
    maintainer tests in the future.
  * Switch to git-dpm for managing debian/patches
    + generate the patchlevel information from debian/patches at build time.
  * Multiarch related fixes:
    + h2ph now correctly gets the header directories from gcc (Closes: #625808)
    + ODBM_File hints find libgdbm_compat again (Closes: #625634)
  * Support the 'build-arch' and 'build-indep' debian/rules targets
    as synonyms for 'build'.
  * Remove a stale perlcc reference from the libperl-dev long description.
  * Remove the Debian/Ubuntu specific multiarch path fix introduced in
    5.12.3-3 and obsoleted by the upstream fix in 5.12.4.

  [ Dominic Hargreaves ]
  * Note removal of perl-suid in README.Debian and suggest alternatives
    (Closes: #628042)
  * Lengthen time-out in t/re/re.t; fixes FTBFS on sh4 (Closes: #626125)
  * Add note about git format-patch signatures to git-dpm section of
    README.source
  * Revert obsolete patches:
    - debian/arm_optim.diff
    - debian/devel-ppport-ia64-optim.diff
    - fixes/processPL.diff (Closes: #626094) 
  * Split up patch debian/extutils_hacks.diff into several logically
    distinct patches (relates to: #624508)
  * Update Vcs-* references to point to combined git-dpm based
    repository at new anonscm URLs
  * Don't use LD_RUN_PATH for multiarch directories (Closes: #631096)
    (thanks, Ahmed El-Mahmoudy)
  * Add Depends on libc6-dev | libc-dev to libperl-dev (Closes: #631308)
  * Add a './perl.static -Ilib -V' invocation to the end of the build,
    for the build log record (refers to: #630399)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 28 Jun 2011 22:25:28 +0100

perl (5.12.3-7) unstable; urgency=low

  * Fix failing tilde test when run under a UID without a passwd entry
    (Closes: #624850)
  * Adjust debian/check-control to work with strict version checks
    and release candidates
  * Add Breaks: mrtg (<< 2.16.3-3.1) (see #625695)
  * Add Breaks, Replaces, Provides for new dual-lived modules
    libshell-perl, libdevel-dprof-perl
  * Add Replaces, Provides for new deprecation module
    libperl4-corelibs-perl

 -- Dominic Hargreaves <dom@earth.li>  Thu, 19 May 2011 19:16:22 +0100

perl (5.12.3-6) unstable; urgency=low

  * Upload to unstable.

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 May 2011 17:40:10 +0100

perl (5.12.3-5) experimental; urgency=low

  * Add new debian/check-control script written by Niko, backported
    from 5.14 tree. This is used by maintainer targets in debian/rules
    to check Provides/Replaces/Breaks against bundled modules.
  * Apply upstream fix for Module::Corelist version number
  * Correct various Breaks version numbers and add Breaks, Replaces,
    Provides for new or missing dual-lived modules:
    - libmath-complex-perl
    - libextutils-command-perl
    - libdigest-perl
    - libextutils-install-perl

 -- Dominic Hargreaves <dom@earth.li>  Sat, 30 Apr 2011 20:47:53 +0100

perl (5.12.3-4) experimental; urgency=low

  * Revert gcc-4.3 on sparc workaround for #577016 which turned out to
    be a kernel bug, now fixed (#581571). gcc-4.3 is no longer available
    in sid.
  * Build-depend on unversioned libdb-dev (see #621383)
  * Merge 5.10.1-20 from unstable:
    + [SECURITY] CVE-2011-1487: taint laundering in lc, uc, et al.
      (Closes: #622817)
    + Make the package fail to build instead of silently dropping the
      DB_File module if -ldb doesn't work. (See #622916)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 22 Apr 2011 12:04:32 +0100

perl (5.12.3-3) experimental; urgency=low

  [ Dominic Hargreaves ]
  *  Remove Eugene from Uploaders as requested

  [ Niko Tyni ]
  * Move to libdb5.1. (Closes: #621383)
  * Merged from 5.10.1-19:

