=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: perl
 Section: perl
 Priority: standard
-Maintainer: Niko Tyni <ntyni@debian.org>
-Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: file, cpio (>= 2.6-5), libdb4.7-dev, libgdbm-dev, netbase [!hurd-i386],
- gcc (>= 4:4.2), procps | hurd, zlib1g-dev | libz-dev, libbz2-dev, gcc-4.3 [sparc]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Niko Tyni <ntyni@debian.org>
+Uploaders: Dominic Hargreaves <dom@earth.li>
+Standards-Version: 3.9.2
+Build-Depends: file, cpio (>= 2.6-5), libdb-dev, libgdbm-dev, netbase [!hurd-any],
+ gcc (>= 4:4.2), procps [!hurd-any], zlib1g-dev | libz-dev, libbz2-dev,
+ dpkg-dev (>= 1.16.0)
 Build-Conflicts: libterm-readline-gnu-perl (<< 1.17), libfile-sharedir-perl
-Vcs-Git: git://git.debian.org/git/perl/perl-5.12.git
-Vcs-Browser: http://git.debian.org/?p=perl/perl-5.12.git
+Vcs-Git: git://anonscm.debian.org/perl/perl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=perl/perl.git
 
 Package: perl-base
 Essential: yes
 Priority: required
 Architecture: any
 Pre-Depends: ${shlibs:Depends}, dpkg (>= 1.14.20)
-Breaks: libmarc-charset-perl (<< 1.2)
-Conflicts: autoconf2.13 (<< 2.13-45),
+Conflicts: safe-rm (<< 0.8)
+Breaks: autoconf2.13 (<< 2.13-45),
  libscalar-list-utils-perl (<< 1:1.22),
  libfile-spec-perl (<< 3.3101),
- safe-rm (<< 0.8),
- libxsloader-perl (<< 0.10)
+ libxsloader-perl (<< 0.10),
+ libmarc-charset-perl (<< 1.2),
+ doc-base (<< 0.10.0)
 Replaces: perl (<< 5.10.1-12), perl-modules (<< 5.10.1-1), libperl5.8 (<< 5.8.0-20),
  libscalar-list-utils-perl,
  libxsloader-perl 
@@ -65,12 +68,12 @@
 Recommends: libswitch-perl,
  libpod-plainer-perl,
  libclass-isa-perl
-Conflicts: libpod-parser-perl (<< 1.37),
+Breaks: libpod-parser-perl (<< 1.37),
  libansicolor-perl (<< 2.02),
  libfile-temp-perl (<< 0.22),
  libnet-perl (<= 1:1.22),
  libattribute-handlers-perl (<< 0.87),
- libcgi-pm-perl (<< 3.49),
+ libcgi-pm-perl (<< 3.49-1squeeze1),
  libi18n-langtags-perl (<< 0.35-1),
  liblocale-maketext-perl (<< 1.14),
  libmath-bigint-perl (<< 1.89.01),
@@ -78,7 +81,7 @@
  libtest-harness-perl (<< 3.17),
  libtest-simple-perl (<< 0.94),
  liblocale-codes-perl (<< 2.07),
- libmodule-corelist-perl (<< 2.38),
+ libmodule-corelist-perl (<< 2.50),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 1.54),
  libextutils-cbuilder-perl (<< 0.2700),
@@ -91,7 +94,7 @@
  libcpanplus-perl (<< 0.90),
  libversion-perl (<< 1:0.8200),
  libpod-simple-perl (<< 3.14),
- libextutils-parsexs-perl (<< 2.2100),
+ libextutils-parsexs-perl (<< 2.210000),
  libpod-escapes-perl (<< 1.04),
  libparse-cpan-meta-perl (<< 1.40),
  libparent-perl (<< 0.223),
@@ -102,7 +105,14 @@
  libpod-plainer-perl (<< 1.02),
  libclass-isa-perl (<< 0.36),
  libswitch-perl (<< 2.16),
- podlators-perl (<< 2.3.1)
+ podlators-perl (<< 2.3.1),
+ libunicode-collate-perl (<< 0.52.01),
+ libfile-path-perl (<< 2.08.01),
+ libmath-complex-perl (<< 1.56),
+ libextutils-command-perl (<< 1.16),
+ libdigest-perl (<< 1.16),
+ libextutils-install-perl (<< 1.55),
+ libshell-perl (<< 0.72.01),
 Replaces: libpod-parser-perl,
  libansicolor-perl,
  libfile-temp-perl,
@@ -140,7 +150,15 @@
  libpod-plainer-perl,
  libclass-isa-perl,
  libswitch-perl,
- podlators-perl
+ podlators-perl,
+ libunicode-collate-perl,
+ libfile-path-perl,
+ libmath-complex-perl,
+ libextutils-command-perl,
+ libdigest-perl,
+ libextutils-install-perl,
+ libshell-perl,
+ libperl4-corelibs-perl
 Provides: libpod-parser-perl,
  libansicolor-perl,
  libfile-temp-perl,
@@ -175,7 +193,15 @@
  libthread-queue-perl,
  libfile-spec-perl,
  libtime-local-perl,
- podlators-perl
+ podlators-perl,
+ libunicode-collate-perl,
+ libfile-path-perl,
+ libmath-complex-perl,
+ libextutils-command-perl,
+ libdigest-perl,
+ libextutils-install-perl,
+ libshell-perl,
+ libperl4-corelibs-perl
 Description: Core Perl modules
  Architecture independent Perl modules.  These modules are part of Perl and
  required if the `perl' package is installed.
@@ -216,16 +242,16 @@
 Section: libdevel
 Priority: optional
 Architecture: any
-Depends: perl (= ${binary:Version}), libperl5.12 (= ${binary:Version})
+Depends: perl (= ${binary:Version}), libperl5.12 (= ${binary:Version}),
+ libc6-dev | libc-dev
 Description: Perl library: development files
- Files for developing applications which embed a Perl interpreter and for
- programs compiled with perlcc.
+ Files for developing applications which embed a Perl interpreter.
 
 Package: perl
 Priority: standard
 Architecture: any
 Depends: perl-base (= ${binary:Version}), perl-modules (>= ${source:Version}), ${shlibs:Depends}
-Conflicts: perl-doc (<< ${Upstream-Version}-1),
+Breaks: perl-doc (<< ${Upstream-Version}-1),
  libdigest-md5-perl (<< 2.39),
  libmime-base64-perl (<< 3.08),
  libtime-hires-perl (<< 1.9719),
@@ -241,7 +267,10 @@
  libio-compress-perl (<< 2.024),
  libthreads-perl (<< 1.75),
  libthreads-shared-perl (<< 1.32),
- libtime-piece-perl (<< 1.15)
+ libtime-piece-perl (<< 1.15.01),
+ libencode-perl (<< 2.39),
+ libdevel-dprof-perl (<< 20080331.00),
+ mrtg (<< 2.16.3-3.1)
 Replaces: perl-base (<< 5.10.1-12),
  perl-doc (<< 5.8.0-1),
  perl-modules (<< 5.8.1-1),
@@ -262,7 +291,9 @@
  libio-compress-perl,
  libthreads-perl,
  libthreads-shared-perl,
- libmodule-corelist-perl (<< 2.14-2)
+ libmodule-corelist-perl (<< 2.14-2),
+ libencode-perl,
+ libdevel-dprof-perl
 Provides: data-dumper, perl5,
  libdigest-md5-perl,
  libmime-base64-perl,
@@ -279,7 +310,9 @@
  libio-compress-perl,
  libthreads-perl,
  libthreads-shared-perl,
- libtime-piece-perl
+ libtime-piece-perl,
+ libencode-perl,
+ libdevel-dprof-perl
 Recommends: netbase
 Suggests: perl-doc, libterm-readline-gnu-perl | libterm-readline-perl-perl,
  make
